Skip Menu |
 

This queue is for tickets about the Net-DNS-SEC CPAN distribution.

Report information
The Basics
Id: 30008
Status: resolved
Priority: 0/
Queue: Net-DNS-SEC

People
Owner: Nobody in particular
Requestors: ogud [...] ogud.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



CC: ogud [...] ogud.com
Subject: Require DSA.pm before install
Date: Mon, 15 Oct 2007 08:07:21 -0400
To: bug-Net-DNS-SEC [...] rt.cpan.org
From: Olafur Gudmundsson <ogud [...] ogud.com>
Download (untitled) / with headers
text/plain 772b
Olaf, I have been using Net::DNS::SEC on few different machines, and keep running into the issue that parts of the package work while others fail. What happens, 1. I can query for DNSSEC types 2. I can not display DNSSEC types, as they print as unknown 3. I can not execute the RRtype specific methods The methods I use to use are for RRSIG typecovered, sigexpiration and siginception. All of which fail, UNLESS DSA.pm is installed The options to fix are 1. Insist that some DSA.pm file is installed before installation 2. Print warning when DSA.pm fails loading saying things may break 3. Only try to load DSA.pm when it is really needed. My preferred solution is #1, and that is the fix I submitted to the freebsd port maintainer (applied last week). Olafur
Subject: Re: [rt.cpan.org #30008] Require DSA.pm before install
Date: Tue, 16 Oct 2007 00:36:19 +0200
To: bug-Net-DNS-SEC [...] rt.cpan.org
From: "Olaf M. Kolkman" <olaf [...] dacht.net>
Download (untitled) / with headers
text/plain 1.5k
Hello Olafur, Which DSA.pm solved your problem? Crypt::OpenSSL::DSA already is a prerequisite for CPAN (see Makefile.PL where it is listed as one of the entries under under the PREREQ_PM key)? --Olaf On 15Oct 2007, at 2:10 PM, Olafur Gudmundsson via RT wrote: Show quoted text
> > Mon Oct 15 08:10:08 2007: Request 30008 was acted upon. > Transaction: Ticket created by ogud@ogud.com > Queue: Net-DNS-SEC > Subject: Require DSA.pm before install > Broken in: (no value) > Severity: (no value) > Owner: Nobody > Requestors: ogud@ogud.com > Status: new > Ticket <URL: http://rt.cpan.org/Ticket/Display.html?id=30008 > > > > > Olaf, > I have been using Net::DNS::SEC on few different machines, and keep > running > into the issue that parts of the package work while others fail. > What happens, > 1. I can query for DNSSEC types > 2. I can not display DNSSEC types, as they print as unknown > 3. I can not execute the RRtype specific methods > > The methods I use to use are for RRSIG typecovered, sigexpiration and > siginception. > All of which fail, UNLESS DSA.pm is installed > The options to fix are > 1. Insist that some DSA.pm file is installed before installation > 2. Print warning when DSA.pm fails loading saying things may break > 3. Only try to load DSA.pm when it is really needed. > > My preferred solution is #1, and that is the fix I submitted to the > freebsd port maintainer (applied last week). > > Olafur >
------------------------------------------------------ Ik dacht net... heel even maar.
Download PGP.sig
application/pgp-signature 227b

Message body not shown because it is not plain text.

Subject: Re: [rt.cpan.org #30008] Require DSA.pm before install
Date: Tue, 16 Oct 2007 15:31:22 -0400
To: bug-Net-DNS-SEC [...] rt.cpan.org, ogud [...] ogud.com
From: Olafur Gudmundsson <ogud [...] ogud.com>
Download (untitled) / with headers
text/plain 1.9k
At 21:09 15/10/2007, Olaf M. Kolkman via RT wrote: Show quoted text
><URL: http://rt.cpan.org/Ticket/Display.html?id=30008 > > > > >Hello Olafur, > > >Which DSA.pm solved your problem? > >Crypt::OpenSSL::DSA already is a prerequisite for CPAN (see >Makefile.PL where it is listed as one of the entries under under the >PREREQ_PM key)?
I needed to add Digest::DSA as perquisite for things to work. Olafur Show quoted text
>--Olaf > > >On 15Oct 2007, at 2:10 PM, Olafur Gudmundsson via RT wrote: >
> > > > Mon Oct 15 08:10:08 2007: Request 30008 was acted upon. > > Transaction: Ticket created by ogud@ogud.com > > Queue: Net-DNS-SEC > > Subject: Require DSA.pm before install > > Broken in: (no value) > > Severity: (no value) > > Owner: Nobody > > Requestors: ogud@ogud.com > > Status: new > > Ticket <URL: http://rt.cpan.org/Ticket/Display.html?id=30008 > > > > > > > > > Olaf, > > I have been using Net::DNS::SEC on few different machines, and keep > > running > > into the issue that parts of the package work while others fail. > > What happens, > > 1. I can query for DNSSEC types > > 2. I can not display DNSSEC types, as they print as unknown > > 3. I can not execute the RRtype specific methods > > > > The methods I use to use are for RRSIG typecovered, sigexpiration and > > siginception. > > All of which fail, UNLESS DSA.pm is installed > > The options to fix are > > 1. Insist that some DSA.pm file is installed before installation > > 2. Print warning when DSA.pm fails loading saying things may break > > 3. Only try to load DSA.pm when it is really needed. > > > > My preferred solution is #1, and that is the fix I submitted to the > > freebsd port maintainer (applied last week). > > > > Olafur > >
> >------------------------------------------------------ >Ik dacht net... heel even maar. > > > > > >Content-Type: application/pgp-signature; name="PGP.sig" >Content-Disposition: inline; filename="PGP.sig" >RT-Attachment: 30008/371706/169042
Subject: Re: [rt.cpan.org #30008] Require DSA.pm before install
Date: Wed, 17 Oct 2007 05:11:21 +0200
To: bug-Net-DNS-SEC [...] rt.cpan.org
From: "Olaf M. Kolkman" <olaf [...] dacht.net>
Download (untitled) / with headers
text/plain 789b
Olafur Gudmundsson via RT wrote: Show quoted text
> Queue: Net-DNS-SEC > Ticket <URL: http://rt.cpan.org/Ticket/Display.html?id=30008 > > > At 21:09 15/10/2007, Olaf M. Kolkman via RT wrote: > >
>> <URL: http://rt.cpan.org/Ticket/Display.html?id=30008 > >> >> >> >> Hello Olafur, >> >> >> Which DSA.pm solved your problem? >> >> Crypt::OpenSSL::DSA already is a prerequisite for CPAN (see >> Makefile.PL where it is listed as one of the entries under under the >> PREREQ_PM key)? >>
> > I needed to add Digest::DSA as perquisite for things to work. > >
Are you sure its Digest::DSA... I can't find such module on CPAN (http://search.cpan.org/search?query=Digest%3A%3ADSA&mode=all) There is a dependency on both Digest::SHA1 and Digest::SHA in the Net::DNS::SEC Makefile.PL. --Olaf
Download signature.asc
application/pgp-signature 250b

Message body not shown because it is not plain text.

Subject: Re: [rt.cpan.org #30008] Require DSA.pm before install
Date: Wed, 17 Oct 2007 10:37:38 -0400
To: bug-Net-DNS-SEC [...] rt.cpan.org, ogud [...] ogud.com
From: Olafur Gudmundsson <ogud [...] ogud.com>
Download (untitled) / with headers
text/plain 1.4k
At 23:14 16/10/2007, Olaf M. Kolkman via RT wrote: Show quoted text
><URL: http://rt.cpan.org/Ticket/Display.html?id=30008 > > >Olafur Gudmundsson via RT wrote:
> > Queue: Net-DNS-SEC > > Ticket <URL: http://rt.cpan.org/Ticket/Display.html?id=30008 > > > > > At 21:09 15/10/2007, Olaf M. Kolkman via RT wrote: > > > >
> >> <URL: http://rt.cpan.org/Ticket/Display.html?id=30008 > > >> > >> > >> > >> Hello Olafur, > >> > >> > >> Which DSA.pm solved your problem? > >> > >> Crypt::OpenSSL::DSA already is a prerequisite for CPAN (see > >> Makefile.PL where it is listed as one of the entries under under the > >> PREREQ_PM key)? > >>
> > > > I needed to add Digest::DSA as perquisite for things to work. > >
Sorry I was wrong Digest::SHA is the name of the module I apologize for confusing abbreviations. Teaches me not to write email before my 3'rd cup of coffee. Show quoted text
> >
> >Are you sure its Digest::DSA... I can't find such module on CPAN >(http://search.cpan.org/search?query=Digest%3A%3ADSA&mode=all) > >There is a dependency on both Digest::SHA1 and Digest::SHA in the >Net::DNS::SEC Makefile.PL.
I'm installing these modules via the Freebsd ports systems and its make file did not pick up the DSA.pm dependency, I submitted a patch, that has now been distributed, but I wonder if more systems are suffering from this same problem. The problem looks like the dependencies are written to Meta.yml and that file is never executed by this install. Olafur Olafur
Subject: Re: [rt.cpan.org #30008] Require DSA.pm before install
Date: Wed, 17 Oct 2007 17:16:53 +0200
To: bug-Net-DNS-SEC [...] rt.cpan.org
From: "Olaf M. Kolkman" <olaf [...] dacht.net>
Download (untitled) / with headers
text/plain 723b
Show quoted text
>> >> There is a dependency on both Digest::SHA1 and Digest::SHA in the >> Net::DNS::SEC Makefile.PL.
> > > I'm installing these modules via the Freebsd ports systems > and its make file did not pick up the DSA.pm dependency, > I submitted a patch, that has now been distributed, but I > wonder if more systems are suffering from this same problem. > > The problem looks like the dependencies are written to Meta.yml > and that file is never executed by this install. >
So we agree that this is a FreeBSD problem. I draw the line with making sure the dependencies live in the Makefile.PL and the meta-file are correct. --Olaf ------------------------------------------------------ Ik dacht net... heel even maar.
Download PGP.sig
application/pgp-signature 227b

Message body not shown because it is not plain text.

Closing ticket, no further actions.
Closing ticket, no further actions.
Closing ticket, no further actions.
Closing ticket, no further actions.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.